Bug 7743 - default papersize in dvips and xdvi is A4, should be letter
default papersize in dvips and xdvi is A4, should be letter
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 1999-12-10 17:19 EST by Joe Harrington
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-01 17:45:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 1999-12-10 17:19:17 EST
The TeX and LaTeX default paper size letter, but xdvi and dvips both reset
it to A4 in tetex-*-1.0.6-7.  This causes confusion, of course, as text is
printed about an inch higher on the page than it should be.  See p. 251 of
The Texbook or p. 26 of A Guide to Latex by Kopka and Daly for statements
that letter is the default.  Although we might all like to "go metric",
doing so would break millions of existing documents.

Things worked correctly under RH 5.0 but broke in RH 5.2, see bugs 492,
1068, and 3037.  It's broken in 6.1.  Dunno about 6.0.

Problems and fixes:

tetex-dvips-1.0.6-7, /usr/share/texmf/dvips/config/config.ps

The default papersize is set to A4 by virtue of its being set first, but it
should be letter.

workaround: copy the paper section into ~/.dvipsrc and edit to have the
letter definition come first, or use dvips -t letter.

fix: change the order in /usr/share/texmf/dvips/config/config.ps.


The default display paper outline is set to A4 by virtue of the line:
XDvi*paper: a4

workaround: change it in your .Xresources

fix: change it to letter in /usr/share/texmf/xdvi/XDvi

Since this was supposedly fixed once already, a test or comment in the
.spec file warning the Red Hat packager to check for these errors might be


Comment 1 Riley H Williams 1999-12-12 11:10:59 EST
Personally, I'd like to see this reversed, such that ALL programs default to A4
sized paper. After all, virtually every country in the world uses the A-series
and B-series paper sizes, together with the C-series envelope sizes.

The only exceptions to this that I am aware of are the USA and Canada, and as
they tend to ignore most standards, I see no reason to use one of the
pseudo-standards they seem so determined to foist on everybody else.
Comment 2 Jeff Johnson 1999-12-12 12:19:59 EST
And I'll bet one of you uses emacs and the other vi ... :-)

Red Hat distributes teTeX, not TeX, and we currently leave the default in
the teTeX (not TeX!) distribution as distributed because tetex includes
texconfig which makes it Real Easy to change the paper size. In fact, here's
FAQ #27:

27) xdvi and dvips use the European A4 size as default papersize. How
    do I change this to make letterpaper the default?

    Simple answer: use texconfig.
        texconfig dvips paper letter
        texconfig xdvi us

(Sorry, I didn't mean to sound patronizing ...)
Comment 3 Joe Harrington 1999-12-21 15:40:59 EST
Several comments.  First, the world doesn't care about TeTeX, the
customer wants TeX, in some consistent form.  The fact that someone
else is creating a distribution that Red Hat can use is a convenience
to Red Hat.  TeTeX is great, so long as it's consistent.  As
distributed, you cannot format the simplest document and print it
correctly if you follow the steps in the standard printed TeX
references.  This is true in the US or anywhere else: either the top
is cut off (on letter paper) or the margins are not even (A4).

Second, the nature of the bug is such that finding and fixing it is
nearly impossible for most ordinary users.  They suddenly see their
old documents stop working, and correctly blame the system for having
a bug (definition: software performance out of accord with its
documentation, in this case The TeXbook, and the very reasonable
assumption that everyone makes which says that the same defaults apply
to all tools in a family).  The bug doesn't seem like a paper size
bug, and few would identify it as being a dvips/xdvi problem and not a
TeX problem.  The FAQ is obscure, and few users go looking for one,
especially if it worked for them before.  Ditto texconfig.  I know
people who have gotten in the habit of ftping TeX documents to a
Solaris system and running TeX there, since "something is broken with
TeX under Linux and I can't figure out what it is."

This is the sort of package inconsistency that users who pay money for
a CD expect a distributor to fix.  TeTeX is good in most respects.
Make it consistent and document how to configure it the other way
prominently in the printed manuals.  Keeping track of such patches
against a clean source was a major motivator for the development of
RPM.  Splitting hairs about whose fault that bug is doesn't improve
the user's experience, nor does it help the spread of Linux.

I'd prefer the TeX tools all to be either one way or the other as
opposed to mixed, even if A4 were the standard size.  There are many
ways to make everyone happy on this issue, though they would require
work.  For example, when the TeX RPM packages install, they could look
at the time zone and make a pretty good assumption as to which size
the user wanted to configure, and set that as the default.  Or, when
TeX ran, it could check whether any configuration was done, and if
not, print a message telling the user to run texconfig.  To make the
message go away, the user would run texconfig with no arguments, which
would set a bit somewhere.  Both would require a small but not insignificant
amount of work.

In response to our friend's comment, we all dislike that there
are different measurement systems in the world.  Coming from Austria
myself, I wish it were otherwise.  A great many things get invented in
the US, achieve wide use here, and everyone follows the same standard.
Then the thing goes overseas and the rest of the world changes it and
follows its own standard, and now there's confusion.  You can hardly
blame the US for being first in these cases, nor the developers for
using the system that will achieve widest use here.  It's pretty rare
for things that are invented elsewhere to come to the US and undergo a
similar change when in use here: most US auto shops have two sets of
wrenches, but American cars exported to Europe use metric hardware.
So, I think your sanctimony is misplaced.
Comment 4 Elliot Lee 2000-02-03 18:40:59 EST
I agree that configuring paper size globally is definitely a want, but it's not
going to happen short-term. Hopefully the gnome-print config tool will
eventually allow this, but for now I'm going to reprioritize this bug just so it
stays in the system, but stays in context. There is a finite amount of resources
available, and right now they have to go at more important things. :(
Comment 5 Joe Harrington 2000-02-04 10:38:59 EST
You make this sound like there's a major amount of work to effect the change.
Really, it's changing a couple of lines in text files.  From a technical
standpoint, I'm sure either one of us could have fixed this bug in less time
than it took to write it up, yet you're talking about prioritizing it in context
to save precious resources.  What major drain on resources does this
embarassingly effortless fix represent?  Is there a political situation about
this at Red Hat, or some other non-technical issue that stands in the way?  I
smell a rat.  Please come clean.  It would be embarassing for TeX not to work
out of the box for a third release in a row.  A4, letter, or forcing a choice
upon first run of tex, I don't really care, but mixing it by default just isn't
acceptable to customers.

Comment 6 Trond Eivind Glomsrxd 2000-12-01 17:45:06 EST
glibc 2.2 has information about papersizes for different locales - if use of
this was added, US could have its letter size paper while the rest of the world
has A4.
If this isn't added, A4 makes most sense - letter is only used in the US, and
doesn't make more sense than feet, Fahrenheit, fl. oz. and other weird units.
Comment 7 Jeff Johnson 2000-12-29 16:00:08 EST
While in some wonderful world the paper size could be chosen automagically, in
real world consistency with previous installations of tetex is important too.
Also, in the
real world, for better or worse, there are two types of customers, and there
simply is
no reliable way to choose the paper size. Looking at timezones is clever -- but
that the timezone is set correctly. Looking at the default locale is even more
clever --
but assumes that the locale is set correctly. I say leave bad enough alone ...

Note You need to log in before you can comment on or make changes to this bug.